- Qt 5.5
- Qt Bluetooth
- C++ Classes
- Alternative
- Qt 5.5.1 Reference Documentation

# Alternative Class

(QBluetoothServiceInfo::Alternative)

The Alternative class stores attributes of a Bluetooth Data Element Alternative. More...

Header: | #include <Alternative>
qmake: | QT += bluetooth
Since: | Qt 5.2
Inherits: |

- List of all members, including inherited members

## Public Functions

| Alternative()
| Alternative(const QList<QVariant> & list)

## Detailed Description

The Alternative class stores attributes of a Bluetooth Data Element Alternative.

## Member Function Documentation

### Alternative::Alternative()

Constructs a new empty alternative.

### Alternative::Alternative(const QList<QVariant> & list)

Constructs a new alternative that is a copy of list.